%define module	XML-LibXML
%define version 1.58
%define release 2mdk

Summary:	XML Parser for Perl using Gnome libxml2
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	libxml2-devel >= 2.4.20
BuildRequires:	perl-devel
BuildRequires:	perl-XML-NamespaceSupport
BuildRequires:	perl-XML-SAX
BuildRequires:	perl-XML-LibXML-Common
PreReq:		libxml2, perl-XML-SAX >= 0.11, perl-XML-LibXML-Common
BuildRoot:	%{_tmppath}/%{name}-buildroot/

%description
This module implements much of the DOM Level 2 API as an 
interface to the Gnome libxml2 library. This makes it a fast
and highly capable validating XML parser library, as well as
a high performance DOM.

%prep
%setup -q -n %{module}-%{version}

%build
# only when building from CVS (version 1.51-3mdk)
#CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
#make docs -i
# only when building from CVS (version 1.51-3mdk)
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
#make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} all pure_install doc_install

%preun -p /usr/bin/perl
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p /usr/bin/perl
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%defattr(-,root,root)
%doc Changes MANIFEST README example/*
%{perl_vendorarch}/auto/XML/LibXML
%{perl_vendorarch}/XML/LibXML*
%{_mandir}/*/*

%changelog
* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.58-2mdk
- rebuild for new perl

* Sun Apr 18 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.58-1mdk
- 1.58
- use %%make macro

* Tue Aug 26 2003 Franois Pons <fpons@mandrakesoft.com> 1.56-1mdk
- removed patch now integrated.
- 1.56.

* Thu Aug 21 2003 Franois Pons <fpons@mandrakesoft.com> 1.55-1mdk
- created patch to allow compilation with perl-5.8.1.
- 1.55.

* Sat May 31 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.54-1mdk
- 1.54

* Thu May 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.53-2mdk
- rebuild for new autoreq
- disable tests that broke the build since 2 of them failled for now

* Mon Nov  4 2002 Pixel <pixel@mandrakesoft.com> 1.53-1mdk
- clean %%files
- uses XML::LibXML::Common
- fix license
- new release

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 1.52-3mdk
- rebuild for perl thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.52-2mdk
- rebuild for perl 5.8.0

* Thu Jun 20 2002 Philippe Libat <philippe@mandrakesoft.com> 1.52-1mdk
- 1.52

* Thu Jun 06 2002 Philippe Libat <philippe@mandrakesoft.com> 1.51-3mdk
- apply CVS fixes (pre1.52)

* Wed Jun 05 2002 Stefan van der Eijk <stefan@eijk.nu> 1.51-2mdk
- BuildRequires

* Tue Jun 04 2002 Philippe Libat <philippe@mandrakesoft.com> 1.51-1mdk
- 1.51

* Tue May 28 2002 Franois Pons <fpons@mandrakesoft.com> 1.50-1mdk
- 1.50.

* Mon May 13 2002 Franois Pons <fpons@mandrakesoft.com> 1.49-1mdk
- 1.49.

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.40-1mdk
- removed filelist.
- create %%post and %%preun for adding/removing XML parser.
- 1.40.

* Fri Feb 22 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.31-2mdk
- added BuildRequires perl-XML-SAX

* Thu Jan 31 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.31-1mdk
- 1.31.

* Thu Nov 15 2001 Philippe Libat <philippe@mandrakesoft.com> 1.00-1mdk
- initial RPM
